<div style="margin-top: 20px;">
	<h5>
		<span>Isi Nama</span>
	</h5>

	<p-tabView> 
		<!-- <p-tabPanel header="Isi Nama"> -->
			<div class="fieldset-legend">

				<div class="row margin-row">
					<div class="col-md-12">
						<div class="pull-right" style="margin-left:10px;">
							<!-- <a [routerLink]="['../isi-nama/input']" class="btn btn-primary"><span>Input</span></a> -->
							<!-- <a [routerLink]="['../isi-nama/upload']" class="btn btn-primary"><span>Upload</span></a> -->
							<!-- <p-fileUpload #fubauto mode="basic" name="demo[]" url="./upload.php" (onUpload)="onBasicUploadAuto($event)" chooseLabel="Upload"></p-fileUpload> -->
						</div>
					</div>
				</div>

				<!-- <p-accordion class="filter-accordion">
					<p-accordionTab header="Filter" [selected]="true">
						<div class="row">
								<div class="col-md-6">
									<div class="form-group">
										<label class="form-control-label">Tanggal Pengajuan</label>
										<div class="row">
											<div class="col-md-6">
												<div class="input-group input-calendar">
													<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
												</div>
											</div>
											<div class="col-md-6">
												<div class="input-group input-calendar">
													<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
												</div>
											</div>
										</div>
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-group">
										<label>Status</label>
										<select class="form-control" id="field_statusType" name="statusType">
												<option [ngValue]="null"></option>
												<option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
										</select>
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-group">
										<label>Market Name</label>
										<select class="form-control" id="field_marketName" name="sales">
											<option [ngValue]="null"></option>
											<option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.name}}</option>
										</select>
									</div>
								</div>
							</div>
							<div class="btn-filter-wrapper">
								<button type="button" class="btn btn-primary btn-filter">
									<span>Filter</span>
								</button>
							</div>      
					</p-accordionTab>
				</p-accordion> -->



				<p-dataTable
					[value]="vehicleDocumentRequirements"
					[editable]="true"
					[rows]="itemsPerPage"
					[paginator]="true"
					[pageLinks]="5"
					[rowsPerPageOptions]="[10,15,20]"
					[totalRecords]="totalItems"
					[responsive]="true"
					[lazy]="true"
					dataKey="idRequirement"
					expandableRows="false">
					<p-header>
						<div>

						</div>
					</p-header>
					<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
					<p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
						<ng-template let-rowIndex="rowIndex" pTemplate="body">
							{{rowIndex + 1}}
						</ng-template>
					</p-column>
					<p-column header="No. Pengajuan">
						<ng-template let-rowData="rowData" pTemplate="body">
							<!-- {{rowData.requirementNumber}} -->
						</ng-template>
					</p-column>
					<p-column header="Tgl Pengajuan">
						<ng-template let-rowData="rowData" pTemplate="body">
							<!-- {{rowData.description}} -->
						</ng-template>
					</p-column>
					<p-column header="No. IVU">
						<ng-template let-rowData="rowData" pTemplate="body">
							<!-- {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}} -->
						</ng-template>
					</p-column>
					<p-column header="No. Rangka">
						<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.vehicle.idFrame}}
						</ng-template>
					</p-column>
					<p-column header="No. Mesin">
						<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.vehicle.idMachine}}
						</ng-template>
					</p-column>
					<p-column header="No. VSO">
						<ng-template let-rowData="rowData" pTemplate="body">
							<!-- {{rowData.salesUnitRequirement.requirementNumber}} -->
						</ng-template>
					</p-column>
					<p-column header="Nama STNK">
						<ng-template let-rowData="rowData" pTemplate="body">
							<div *ngIf="!rowData.organizationOwner">
								{{rowData.personOwner.name }}
							</div>
							<div *ngIf="rowData.organizationOwner">
								{{rowData.organizationOwner.name }}
							</div>							
						</ng-template>
					</p-column>
					<p-column header="Note">
						<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.note}}
						</ng-template>
					</p-column>
					<p-column header="{{'mpmApp.requirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
						<ng-template let-rowData="rowData" pTemplate="body">
							<a (click)="showDownload(rowData)" title="Download"><i class="fa fa-download" aria-hidden="true"></i></a>
							<!-- <a (click)="processFaktur(rowData.idRequirement)">Faktur OK</a> -->
						</ng-template>
					</p-column>
					<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
					</ng-template>
				</p-dataTable>
			</div>
		<!-- </p-tabPanel> -->

		<!-- <p-tabPanel header="Cancel">
			<jhi-registration-isi-nama-cancel></jhi-registration-isi-nama-cancel>
		</p-tabPanel> -->
	</p-tabView>
</div>
<!-- <div style="margin-top: 10px;"></div>

<p-dialog header="Konfirmasi" [(visible)]="downloadModal" modal="true" [width]="700">
	<div class="row">
		<div class="col-sm-12">
			<p>Anda akan melakukan download file CDDB dan UDSTK</p>

			<form name="editForm" role="form" novalidate (ngSubmit)="doDownload()" #editForm="ngForm">
				<input type="hidden" class="form-control" id="idRequirement" name="idRequirement" [(ngModel)]="vehicleDocumentRequirement.idRequirement"/>

				<button class="btn btn-primary" type="submit">Ya</button>
				<button class="btn btn-primary" (click)="downloadModal = false">Tidak</button>
			</form>
		</div>
	</div>
</p-dialog>

<p-confirmDialog></p-confirmDialog> -->




